# BEGIN SourceDeps(oneline):
BuildRequires: perl(AppConfig.pm) perl(DBI.pm) perl(Date/Format.pm) perl(Date/Parse.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/stat.pm) perl(Test/More.pm) perl(ctime.pl)
# END SourceDeps(oneline)
%define module_version 0.60
%define module_name Date-LastModified
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.60
Release: alt1
Summary: Return last-modified date from a set of resources
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/ML/MLFISHER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Date::LastModified extracts the last modification date from
one or more resources, which can be files ("dlm_file"),
directories ("dlm_dir"), or DBI-compatible databases
("dlm_dbi").  It should be possible to subclass
Date::LastModified to add other resource types, like web
pages or external sensors.

Date::LastModified uses AppConfig to parse the configuration file.
To pass resources directly, specify them with a hashref to new()
where the value is an array ref:

=over 4

=item dlm_file

Looks at the file's last-modified date.

=item dlm_dir

Looks at all the files in that directory and its subdirectories,
using the latest file.

=item dlm_dbi

Looks at the database table and uses the last date for the
specified field.

=back

The time()-compatible time of the latest resource is returned
by last().

Once last() has been called, you can obtain which resource
was the last-modified by calling from().  If last() has not
been called, from() returns undef.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc TODO Changes README
%perl_vendor_privlib/D*

%files scripts
%_bindir/*

%changelog
* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.60-alt1
- initial import by package builder

